# PublicationContainer

API Documentation: | `PublicationContainer`

Note: This class is incubating and may change in a future version of Gradle.

A `PublicationContainer` is responsible for creating and managing `Publication` instances. The set of available publication types is dependent on the application of particular plugins:

- The `MavenPublishPlugin` makes it possible to create `MavenPublication` instances.
- The `IvyPublishPlugin` makes it possible to create `IvyPublication` instances.

    apply plugin: 'ivy-publish'

    publishing.publications.create('publication-name', IvyPublication) {
        // Configure the ivy publication here
    }

The usual way to add publications is via a configuration block. See the documentation for `PublishingExtension.publications(org.gradle.api.Action)` for examples of how to create and configure publications.

### Properties

No properties

### Methods

No methods

### Script blocks

No script blocks